> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get series data for subscription

> Get series data for subscription analytics, including MRR, new-MRR, expansion-MRR, churn-MRR. The result has one data-point for each currency and date combination. The data-point contains the MRR, new-MRR, expansion-MRR, and churn-MRR for the given currency and date.

<sup>Required permissions: `analytics:read`</sup>



## OpenAPI

````yaml get /analytics/subscription-revenue
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /analytics/subscription-revenue:
    parameters: []
    get:
      tags:
        - Analytics
      summary: Get series data for subscription
      description: >-
        Get series data for subscription analytics, including MRR, new-MRR,
        expansion-MRR, churn-MRR. The result has one data-point for each
        currency and date combination. The data-point contains the MRR, new-MRR,
        expansion-MRR, and churn-MRR for the given currency and date.


        <sup>Required permissions: `analytics:read`</sup>
      operationId: getAnalyticsSubscriptionRevenueSeries
      parameters: []
      responses:
        '200':
          description: AnalyticsSubscriptionRevenueSeries collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AnalyticsSubscriptionRevenueSeries'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnalyticsSubscriptionRevenueSeries'
      deprecated: false
      security:
        - JWT:
            - analytics:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /analytics/subscription-revenue \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    AnalyticsSubscriptionRevenueSeries:
      type: object
      description: ''
      deprecated: false
      properties:
        date:
          description: >-
            The date for the current data point. **The date is in the timezone
            of the tenant.**
          example: '2023-09-10 00:00:00'
          type: string
        currency_code:
          description: The currency code for the revenue data.
          example: EUR
          type: string
        revenue:
          description: The MRR for the current data point as string-float.
          example: '1000.00'
          type: string
        churn_revenue:
          description: >-
            The new-MRR for the current data point as string-float. The value is
            null, when there is no churn for the given currency and date.
          example: '300.00'
          type:
            - string
            - 'null'
        expansion_revenue:
          description: >-
            The expansion-MRR for the current data point as string-float. The
            value is null, when there is no expansion for the given currency and
            date.
          example: '150.00'
          type:
            - string
            - 'null'
        new_revenue:
          description: >-
            The new-MRR for the current data point as string-float. The value is
            null, when there is no new mrr for the given currency and date.
          example: '300.00'
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````